Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.business.mycarenetcommons.builders.impl
Class IndependantProfessionalCommonBuilderImpl

    java.lang.Object
      be.ehealth.business.mycarenetcommons.builders.impl.AbstractCommonBuilderImpl
          be.ehealth.business.mycarenetcommons.builders.impl.IndependantProfessionalCommonBuilderImpl

All Implemented Interfaces:
  CommonBuilder, ConfigurableImplementation

Direct Known Subclasses:
  GPCommonBuilderImpl

Deprecated. use `GenericCommonBuilderImpl` for everything now ( configured via property file ).

    @Deprecated
    public class IndependantProfessionalCommonBuilderImpl

extends AbstractCommonBuilderImpl

Implementation for the `AbstractCommonBuilderImpl` abstract class.

Field Summary

Fields inherited from interface be.ehealth.business.mycarenetcommons.builders.CommonBuilder
`PROJECT_NAME_KEY`

Constructor Summary
`IndependantProfessionalCommonBuilderImpl()` Deprecated.

Method Summary

Methods inherited from class be.ehealth.business.mycarenetcommons.builders.impl.AbstractCommonBuilderImpl
`createCommonInput, createCommonInput, createOrigin, createOrigin, createRouting, createRoutingToMutuality, initialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndependantProfessionalCommonBuilderImpl

    public IndependantProfessionalCommonBuilderImpl()
                                             throws TechnicalConnectorException

  Deprecated.
  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.